From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH] Macvtap initscript for green nic
Date: Tue, 12 Apr 2016 20:02:37 +0200 [thread overview]
Message-ID: <1460484157-648-2-git-send-email-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <1460484157-648-1-git-send-email-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 1757 bytes --]
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
src/initscripts/init.d/macvtap-green | 52 ++++++++++++++++++++++++++++++++++++
1 file changed, 52 insertions(+)
create mode 100644 src/initscripts/init.d/macvtap-green
diff --git a/src/initscripts/init.d/macvtap-green b/src/initscripts/init.d/macvtap-green
new file mode 100644
index 0000000..2b0e1b1
--- /dev/null
+++ b/src/initscripts/init.d/macvtap-green
@@ -0,0 +1,52 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/bridge
+#
+# Description : Skript to use a macvtap device as green0.
+# The green0 nic is renamed to greennic0
+#
+# Authors : Jonatan Schlag <jonatan.schlag(a)ipfire.org>
+#
+# Version : 01.00
+#
+# Notes :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+ start)
+ boot_mesg "Create macvtap device for green0..."
+ #set green nic down
+ ip link set green0 down
+ # rename green0 to greennic0
+ ip link set green0 name greennic0
+ # bring greennic0 up
+ ip link set greennic0 up
+ # create the macvtap device for green0
+ ip link add link greennic0 green0 type macvlan mode bridge
+ #bring green0 up
+ ip link set green0 up
+ ;;
+
+ stop)
+ boot_mesg "Remove macvtap device for green0..."
+
+ #bring both devices down
+ ip link set green0 down
+ ip link set greennic0 down
+ #remove the macvtap device
+ ip link del green0
+ # rename the greennic0 to green0
+ ip link set greennic0 name green0
+ ;;
+ *)
+ echo "Usage: ${0} {start|stop}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/bridge
+
--
2.1.4
next prev parent reply other threads:[~2016-04-12 18:02 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-04-12 18:02 Libvirt and Network Jonatan Schlag
2016-04-12 18:02 ` Jonatan Schlag [this message]
2016-04-14 10:09 ` Michael Tremer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1460484157-648-2-git-send-email-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox